Bug 243567

Summary: net-mgmt/netdata: Honour/respect Python version specified by framework/user
Product: Ports & Packages Reporter: daniel.engberg.lists
Component: Individual Port(s)Assignee: Kubilay Kocak <koobs>
Status: Closed FIXED    
Severity: Affects Many People CC: koobs, mmokhi, python
Priority: --- Keywords: easy
Version: LatestFlags: bugzilla: maintainer-feedback? (mmokhi)
koobs: merge-quarterly+
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D22909
Attachments:
Description Flags
Patch for netdata koobs: maintainer-approval+

Description daniel.engberg.lists 2020-01-24 18:05:32 UTC
See https://reviews.freebsd.org/D22909
Comment 2 daniel.engberg.lists 2020-01-25 17:34:46 UTC
Hi,

It's a run-time dep (optional) but a build-dep.

Best regards,
Daniel
Comment 3 daniel.engberg.lists 2020-02-06 13:36:33 UTC
Err, but a build-dep. --> not a build-dep.
Anyhow, is it possible to commit this by now?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-07 06:49:06 UTC
@Daniel Could you please attach the proposed patch from Phabricator here please, such that it may be approved (maintainer timeout) if appropriate
Comment 5 daniel.engberg.lists 2020-02-07 07:20:41 UTC
Created attachment 211438 [details]
Patch for netdata
Comment 6 daniel.engberg.lists 2020-02-07 07:22:56 UTC
Done, thanks
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-07 10:42:31 UTC
Comment on attachment 211438 [details]
Patch for netdata

Approved by: portmgr (blanket: run time bug fix, ports (Python) compliance)
MFH: 2020Q1
Comment 8 commit-hook freebsd_committer 2020-02-17 06:59:03 UTC
A commit references this bug:

Author: koobs
Date: Mon Feb 17 06:58:49 UTC 2020
New revision: 526346
URL: https://svnweb.freebsd.org/changeset/ports/526346

Log:
  net-mgmt/netdata: Honour/respect default Python version

  PR:		243567
  Reviewed by:	mat, koobs (python)
  Approved by:	portmgr (blanket: run time bug fix, ports (Python) compliance)
  MFH:		2020Q1
  Differential Revision:	D22909

Changes:
  head/net-mgmt/netdata/Makefile
  head/net-mgmt/netdata/files/patch-collectors_python.d.plugin_python.d.plugin.in
Comment 9 commit-hook freebsd_committer 2020-02-17 07:01:04 UTC
A commit references this bug:

Author: koobs
Date: Mon Feb 17 07:00:51 UTC 2020
New revision: 526347
URL: https://svnweb.freebsd.org/changeset/ports/526347

Log:
  MFH: r526346 net-mgmt/netdata: Honour/respect default Python version

  PR:		243567
  Reviewed by:	mat, koobs (python)
  Approved by:	portmgr (blanket: run time bug fix, ports (Python) compliance)
  Differential Revision:	D22909

  Approved by:	ports-secteam (blanket: run time bug fix, ports (Python) compliance)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/net-mgmt/netdata/Makefile
  branches/2020Q1/net-mgmt/netdata/files/patch-collectors_python.d.plugin_python.d.plugin.in
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 07:01:31 UTC
Committed and merged, thank you Daniel!